#ifndef __CDNavLocations__
#define __CDNavLocations__


/* CDNavLocations.h */

/* Copyright 1990-2002 Capilano Computing Systems Ltd. All rights reserved. */


/*  The following constants are used to distinguish the different NavGetFile and
	NavPutFile calls.  The system remembers where each one was last used.
	
*/

// Drawing  Module

#define	kDrawingPictPutPrefKey		1	// Remember dir where the PICT was saved		
#define	kDrawingCircuitGetPrefKey	2	// Remember dir where the last circuit file was opened
#define	kDrawingCircuitPutPrefKey	3	// Remember dir where the last circuit file was saved
#define kDrawingPDFPutPrefKey		8   // Remember dir where the last PDF FILE was saved
// LibIO Module

#define	kLibIOPutPrefKey			4	// Remember dir where the last library  was saved		
#define	kLibIOGetPrefKey			5	// Remember dir where the last library file was opened

// Scripter Module

#define	kScripterPutPrefKey			6	// Remember dir where text file was created		
#define kScripterGetPrefKey     	7   // Remember dir where Script file was opened	

#define	kBackkAnoGetPrefKey			9	// Remember dir where the last library file was opened

#define kTimingPutPreKey			10  // Remember where timeing files were last saved

// Prom PLA Ram module
#define kPromRamPlaGetPrefKey				11
#endif