// Copyright 2002 Capilano Computing Systems Ltd.
//
//   All rights reserved.
//   
//   Modifications:
//

//   CDPrintUtl.h

//  Routines to help with printing.

#ifdef __MWERKS__
#include <Carbon.h>
#include <Printing.h>
#else
#include <Carbon/Carbon.h>
#endif
 
extern pascal OSStatus Call_PMSessionBeginDocumentNoDialog(	PMPrintSession printSession,
                                 							PMPrintSettings printSettings,
                                 							PMPageFormat pageFormat);
                                 							
extern pascal OSStatus Call_PMSessionEndDocumentNoDialog(PMPrintSession printSession);

extern pascal OSStatus Call_PMSessionBeginPageNoDialog(	PMPrintSession printSession,
                                 						PMPageFormat pageFormat,
                                 						const PMRect *pageFrame); 
                                 						
extern pascal OSStatus Call_PMSessionEndPageNoDialog(PMPrintSession printSession);

extern pascal OSStatus Call_PMSessionSetDestination(PMPrintSession printSession,
     												PMPrintSettings     printSettings,
     												PMDestinationType   destType,
     												CFStringRef         destFormat,
     												CFURLRef            destLocation
     										); 

extern Boolean ThereIsPDFCreation(void);    										
extern void GetPDFURL(Str255 name, CFURLRef *saveURL, short putPDFKey); 

extern OSStatus  DoCreateOrValidatePageFormat(PMPrintSession printSession, PMPageFormat *timingPageFormat, PMPrintSettings *timingPrintSettings, Handle *hTimingPrintInfo, Boolean forceChange, Boolean *thingsChanged );
 
extern Boolean PrintErrorAlert(short	err, short	code, short	moduleResFile);                                              							
                       